%global gem_name launchy

Summary:        Helper class for cross-platform launching of applications
Name:           rubygem-%{gem_name}
Version:        0.4.0
Release:        9%{?dist}
Group:          Development/Languages
License:        BSD
URL:            http://copiousfreetime.rubyforge.org/launchy/
Source0:        http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
Requires:       ruby(release)
Requires:       ruby(rubygems)
Requires:       rubygem(rake) >= 0.8.1
Requires:       rubygem(configuration) >= 0.0.5
BuildRequires:  rubygems-devel
BuildRequires:  rubygem(rspec)
BuildArch:      noarch
Provides:       rubygem(%{gem_name}) = %{version}

%description
Launchy is helper class for launching cross-platform applications in a fire
and forget manner.  There are application concepts (browser, email client,
etc) that are common across all platforms, and they may be launched
differently on each platform.  Launchy is here to make a common approach to
launching external application from within ruby programs.


%prep
%setup -q -c -T
%gem_install -n %{SOURCE0}


%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{_bindir}
cp -a ./%{_bindir}/* %{buildroot}%{_bindir}

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
rspec spec
popd

%files
%{_bindir}/launchy
%dir %{gem_instdir}
%{gem_libdir}
%{gem_instdir}/spec
%{gem_instdir}/tasks
%{gem_instdir}/bin
%{gem_instdir}/*.rb
%{gem_instdir}/Rakefile
%doc %{gem_docdir}
%doc %{gem_instdir}/README
%doc %{gem_instdir}/HISTORY
%doc %{gem_instdir}/LICENSE
%exclude %{gem_cache}
%{gem_spec}


%changelog
* Mon Nov 10 2014 Troy Dawson <tdawson@redhat.com> - 0.4.0-9
- Bump release for rebuild on epel7

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Mar 07 2013 Josef Stribny <jstribny@redhat.com> - 0.4.0-6
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Feb 02 2012 Vít Ondruch <vondruch@redhat.com> - 0.4.0-3
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Mar 18 2011 <stahnma@fedoraproject.org> - 0.4.0-1
- New version upstream

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep 03 2010 Michael Stahnke <stahnma@fedoraproject.org> - 0.3.7-1
- New Upstream

* Thu Jan 07 2010 Michal Fojtik <mfojtik@redhat.com> - 0.3.5-1
- Version-Release
- Fixed  up Licence again

* Fri Jun 26 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.3.3-3
- Get rid of duplicate files (thanks to Mamoru Tasaka)

* Mon Jun 08 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.3.3-2
- Depend on ruby(abi)
- Replace defines with globals

* Fri Jun 05 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.3.3-1
- Package generated by gem2rpm
- Fix up License
